be.fgov.ehealth.dics.protocol.v4

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.protocol.v4 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.protocol.v4

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmpListDataType` | `createAmpListDataType()` Create an instance of `AmpListDataType`
    `AmpListType` | `createAmpListType()` Create an instance of `AmpListType`
    `AmppListDataType` | `createAmppListDataType()` Create an instance of `AmppListDataType`
    `AmppListType` | `createAmppListType()` Create an instance of `AmppListType`
    `Anomaly` | `createAnomaly()` Create an instance of `Anomaly`
    `Appendix` | `createAppendix()` Create an instance of `Appendix`
    `AppendixType` | `createAppendixType()` Create an instance of `AppendixType`
    `AtcClassification` | `createAtcClassification()` Create an instance of `AtcClassification`
    `AtcClassificationType` | `createAtcClassificationType()` Create an instance of `AtcClassificationType`
    `ComponentEquivalentType` | `createComponentEquivalentType()` Create an instance of `ComponentEquivalentType`
    `ConsultAmpComponentType` | `createConsultAmpComponentType()` Create an instance of `ConsultAmpComponentType`
    `ConsultAmppComponentEquivalentType` | `createConsultAmppComponentEquivalentType()` Create an instance of `ConsultAmppComponentEquivalentType`
    `ConsultAmppComponentType` | `createConsultAmppComponentType()` Create an instance of `ConsultAmppComponentType`
    `ConsultAmppType` | `createConsultAmppType()` Create an instance of `ConsultAmppType`
    `ConsultAmpType` | `createConsultAmpType()` Create an instance of `ConsultAmpType`
    `ConsultAttachmentType` | `createConsultAttachmentType()` Create an instance of `ConsultAttachmentType`
    `ConsultCommentedClassificationTreeType` | `createConsultCommentedClassificationTreeType()` Create an instance of `ConsultCommentedClassificationTreeType`
    `ConsultCommentedClassificationType` | `createConsultCommentedClassificationType()` Create an instance of `ConsultCommentedClassificationType`
    `ConsultCommercializationType` | `createConsultCommercializationType()` Create an instance of `ConsultCommercializationType`
    `ConsultCompanyType` | `createConsultCompanyType()` Create an instance of `ConsultCompanyType`
    `ConsultCompoundingFormulaType` | `createConsultCompoundingFormulaType()` Create an instance of `ConsultCompoundingFormulaType`
    `ConsultCompoundingIngredientType` | `createConsultCompoundingIngredientType()` Create an instance of `ConsultCompoundingIngredientType`
    `ConsultCopaymentType` | `createConsultCopaymentType()` Create an instance of `ConsultCopaymentType`
    `ConsultDerogationImportType` | `createConsultDerogationImportType()` Create an instance of `ConsultDerogationImportType`
    `ConsultDmppType` | `createConsultDmppType()` Create an instance of `ConsultDmppType`
    `ConsultFormalInterpretationType` | `createConsultFormalInterpretationType()` Create an instance of `ConsultFormalInterpretationType`
    `ConsultLegalBasisType` | `createConsultLegalBasisType()` Create an instance of `ConsultLegalBasisType`
    `ConsultLegalReferenceTraceType` | `createConsultLegalReferenceTraceType()` Create an instance of `ConsultLegalReferenceTraceType`
    `ConsultLegalReferenceType` | `createConsultLegalReferenceType()` Create an instance of `ConsultLegalReferenceType`
    `ConsultNonMedicinalProductType` | `createConsultNonMedicinalProductType()` Create an instance of `ConsultNonMedicinalProductType`
    `ConsultPricingUnitType` | `createConsultPricingUnitType()` Create an instance of `ConsultPricingUnitType`
    `ConsultRealActualIngredientEquivalentType` | `createConsultRealActualIngredientEquivalentType()` Create an instance of `ConsultRealActualIngredientEquivalentType`
    `ConsultRealActualIngredientType` | `createConsultRealActualIngredientType()` Create an instance of `ConsultRealActualIngredientType`
    `ConsultRealVirtualIngredientType` | `createConsultRealVirtualIngredientType()` Create an instance of `ConsultRealVirtualIngredientType`
    `ConsultRecursiveLegalReferenceType` | `createConsultRecursiveLegalReferenceType()` Create an instance of `ConsultRecursiveLegalReferenceType`
    `ConsultRecursiveLegalTextType` | `createConsultRecursiveLegalTextType()` Create an instance of `ConsultRecursiveLegalTextType`
    `ConsultReimbursementConditionType` | `createConsultReimbursementConditionType()` Create an instance of `ConsultReimbursementConditionType`
    `ConsultReimbursementContextType` | `createConsultReimbursementContextType()` Create an instance of `ConsultReimbursementContextType`
    `ConsultReimbursementTermType` | `createConsultReimbursementTermType()` Create an instance of `ConsultReimbursementTermType`
    `ConsultStandardFormAndPhFrmAndVtlFrmType` | `createConsultStandardFormAndPhFrmAndVtlFrmType()` Create an instance of `ConsultStandardFormAndPhFrmAndVtlFrmType`
    `ConsultStandardFormType` | `createConsultStandardFormType()` Create an instance of `ConsultStandardFormType`
    `ConsultStandardRouteAndRouteOfAdministrationType` | `createConsultStandardRouteAndRouteOfAdministrationType()` Create an instance of `ConsultStandardRouteAndRouteOfAdministrationType`
    `ConsultStandardRouteType` | `createConsultStandardRouteType()` Create an instance of `ConsultStandardRouteType`
    `ConsultStandardSubstanceAndSubstanceType` | `createConsultStandardSubstanceAndSubstanceType()` Create an instance of `ConsultStandardSubstanceAndSubstanceType`
    `ConsultStandardSubstanceType` | `createConsultStandardSubstanceType()` Create an instance of `ConsultStandardSubstanceType`
    `ConsultSupplyProblemType` | `createConsultSupplyProblemType()` Create an instance of `ConsultSupplyProblemType`
    `ConsultTextType` | `createConsultTextType()` Create an instance of `ConsultTextType`
    `ConsultVirtualIngredientType` | `createConsultVirtualIngredientType()` Create an instance of `ConsultVirtualIngredientType`
    `ConsultVmpComponentType` | `createConsultVmpComponentType()` Create an instance of `ConsultVmpComponentType`
    `ConsultVmpGroupType` | `createConsultVmpGroupType()` Create an instance of `ConsultVmpGroupType`
    `ConsultVmpType` | `createConsultVmpType()` Create an instance of `ConsultVmpType`
    `ConsultVtmType` | `createConsultVtmType()` Create an instance of `ConsultVtmType`
    `DeliveryModus` | `createDeliveryModus()` Create an instance of `DeliveryModus`
    `DeliveryModusSpecification` | `createDeliveryModusSpecification()` Create an instance of `DeliveryModusSpecification`
    `DeliveryModusSpecificationType` | `createDeliveryModusSpecificationType()` Create an instance of `DeliveryModusSpecificationType`
    `DeliveryModusType` | `createDeliveryModusType()` Create an instance of `DeliveryModusType`
    `DeviceType` | `createDeviceType()` Create an instance of `DeviceType`
    `DeviceTypeType` | `createDeviceTypeType()` Create an instance of `DeviceTypeType`
    `DomainType` | `createDomainType()` Create an instance of `DomainType`
    `FindAmppRequest` | `createFindAmppRequest()` Create an instance of `FindAmppRequest`
    `FindAmppResponse` | `createFindAmppResponse()` Create an instance of `FindAmppResponse`
    `FindAmpRequest` | `createFindAmpRequest()` Create an instance of `FindAmpRequest`
    `FindAmpResponse` | `createFindAmpResponse()` Create an instance of `FindAmpResponse`
    `FindByActualProductType` | `createFindByActualProductType()` Create an instance of `FindByActualProductType`
    `FindByCommentedClassificationType` | `createFindByCommentedClassificationType()` Create an instance of `FindByCommentedClassificationType`
    `FindByCompanyType` | `createFindByCompanyType()` Create an instance of `FindByCompanyType`
    `FindByGenericPrescriptionGroupType` | `createFindByGenericPrescriptionGroupType()` Create an instance of `FindByGenericPrescriptionGroupType`
    `FindByIngredientType` | `createFindByIngredientType()` Create an instance of `FindByIngredientType`
    `FindByPackageType` | `createFindByPackageType()` Create an instance of `FindByPackageType`
    `FindByTherapeuticMoietyType` | `createFindByTherapeuticMoietyType()` Create an instance of `FindByTherapeuticMoietyType`
    `FindByVirtualProductType` | `createFindByVirtualProductType()` Create an instance of `FindByVirtualProductType`
    `FindCommentedClassificationRequest` | `createFindCommentedClassificationRequest()` Create an instance of `FindCommentedClassificationRequest`
    `FindCommentedClassificationResponse` | `createFindCommentedClassificationResponse()` Create an instance of `FindCommentedClassificationResponse`
    `FindCompanyRequest` | `createFindCompanyRequest()` Create an instance of `FindCompanyRequest`
    `FindCompanyResponse` | `createFindCompanyResponse()` Create an instance of `FindCompanyResponse`
    `FindCompoundingFormulaRequest` | `createFindCompoundingFormulaRequest()` Create an instance of `FindCompoundingFormulaRequest`
    `FindCompoundingFormulaResponse` | `createFindCompoundingFormulaResponse()` Create an instance of `FindCompoundingFormulaResponse`
    `FindCompoundingIngredientRequest` | `createFindCompoundingIngredientRequest()` Create an instance of `FindCompoundingIngredientRequest`
    `FindCompoundingIngredientResponse` | `createFindCompoundingIngredientResponse()` Create an instance of `FindCompoundingIngredientResponse`
    `FindLegalBasesType` | `createFindLegalBasesType()` Create an instance of `FindLegalBasesType`
    `FindLegislationTextRequest` | `createFindLegislationTextRequest()` Create an instance of `FindLegislationTextRequest`
    `FindLegislationTextResponse` | `createFindLegislationTextResponse()` Create an instance of `FindLegislationTextResponse`
    `FindNonMedicinalProductRequest` | `createFindNonMedicinalProductRequest()` Create an instance of `FindNonMedicinalProductRequest`
    `FindNonMedicinalProductResponse` | `createFindNonMedicinalProductResponse()` Create an instance of `FindNonMedicinalProductResponse`
    `FindReferencesRequest` | `createFindReferencesRequest()` Create an instance of `FindReferencesRequest`
    `FindReferencesResponse` | `createFindReferencesResponse()` Create an instance of `FindReferencesResponse`
    `FindReimbursementRequest` | `createFindReimbursementRequest()` Create an instance of `FindReimbursementRequest`
    `FindReimbursementResponse` | `createFindReimbursementResponse()` Create an instance of `FindReimbursementResponse`
    `FindVmpGroupRequest` | `createFindVmpGroupRequest()` Create an instance of `FindVmpGroupRequest`
    `FindVmpGroupResponse` | `createFindVmpGroupResponse()` Create an instance of `FindVmpGroupResponse`
    `FindVmpRequest` | `createFindVmpRequest()` Create an instance of `FindVmpRequest`
    `FindVmpResponse` | `createFindVmpResponse()` Create an instance of `FindVmpResponse`
    `FindVtmRequest` | `createFindVtmRequest()` Create an instance of `FindVtmRequest`
    `FindVtmResponse` | `createFindVtmResponse()` Create an instance of `FindVtmResponse`
    `FormCategory` | `createFormCategory()` Create an instance of `FormCategory`
    `FormCategoryType` | `createFormCategoryType()` Create an instance of `FormCategoryType`
    `JAXBElement<ListConsultationRequestType>` | `createGetListOfActualMedicinalProductPackagesRequest(ListConsultationRequestType value)` Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
    `GetListOfActualMedicinalProductPackagesResponse` | `createGetListOfActualMedicinalProductPackagesResponse()` Create an instance of `GetListOfActualMedicinalProductPackagesResponse`
    `JAXBElement<ListConsultationRequestType>` | `createGetListOfActualMedicinalProductsRequest(ListConsultationRequestType value)` Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
    `GetListOfActualMedicinalProductsResponse` | `createGetListOfActualMedicinalProductsResponse()` Create an instance of `GetListOfActualMedicinalProductsResponse`
    `JAXBElement<ListConsultationRequestType>` | `createGetListOfVirtualMedicinalProductsRequest(ListConsultationRequestType value)` Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
    `GetListOfVirtualMedicinalProductsResponse` | `createGetListOfVirtualMedicinalProductsResponse()` Create an instance of `GetListOfVirtualMedicinalProductsResponse`
    `JAXBElement<ListConsultationRequestType>` | `createGetListOfVmpGroupsRequest(ListConsultationRequestType value)` Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
    `GetListOfVmpGroupsResponse` | `createGetListOfVmpGroupsResponse()` Create an instance of `GetListOfVmpGroupsResponse`
    `HasActualComponentWithType` | `createHasActualComponentWithType()` Create an instance of `HasActualComponentWithType`
    `HasVirtualComponentWithType` | `createHasVirtualComponentWithType()` Create an instance of `HasVirtualComponentWithType`
    `HasWadaClassificationType` | `createHasWadaClassificationType()` Create an instance of `HasWadaClassificationType`
    `ListConsultationRequestType` | `createListConsultationRequestType()` Create an instance of `ListConsultationRequestType`
    `ListConsultationResponseType` | `createListConsultationResponseType()` Create an instance of `ListConsultationResponseType`
    `NoGenericPrescriptionReason` | `createNoGenericPrescriptionReason()` Create an instance of `NoGenericPrescriptionReason`
    `NoGenericPrescriptionReasonType` | `createNoGenericPrescriptionReasonType()` Create an instance of `NoGenericPrescriptionReasonType`
    `NoSwitchReason` | `createNoSwitchReason()` Create an instance of `NoSwitchReason`
    `NoSwitchReasonType` | `createNoSwitchReasonType()` Create an instance of `NoSwitchReasonType`
    `PackagingClosure` | `createPackagingClosure()` Create an instance of `PackagingClosure`
    `PackagingClosureType` | `createPackagingClosureType()` Create an instance of `PackagingClosureType`
    `PackagingMaterial` | `createPackagingMaterial()` Create an instance of `PackagingMaterial`
    `PackagingMaterialType` | `createPackagingMaterialType()` Create an instance of `PackagingMaterialType`
    `PackagingType` | `createPackagingType()` Create an instance of `PackagingType`
    `PackagingTypeType` | `createPackagingTypeType()` Create an instance of `PackagingTypeType`
    `Parameter` | `createParameter()` Create an instance of `Parameter`
    `PharmaceuticalForm` | `createPharmaceuticalForm()` Create an instance of `PharmaceuticalForm`
    `PharmaceuticalFormWithStandardsType` | `createPharmaceuticalFormWithStandardsType()` Create an instance of `PharmaceuticalFormWithStandardsType`
    `ReimbursementCriterion` | `createReimbursementCriterion()` Create an instance of `ReimbursementCriterion`
    `ReimbursementCriterionType` | `createReimbursementCriterionType()` Create an instance of `ReimbursementCriterionType`
    `RouteOfAdministration` | `createRouteOfAdministration()` Create an instance of `RouteOfAdministration`
    `RouteOfAdministrationWithStandardsType` | `createRouteOfAdministrationWithStandardsType()` Create an instance of `RouteOfAdministrationWithStandardsType`
    `StandardFormCodeCriterionType` | `createStandardFormCodeCriterionType()` Create an instance of `StandardFormCodeCriterionType`
    `StandardFormNameCriterionType` | `createStandardFormNameCriterionType()` Create an instance of `StandardFormNameCriterionType`
    `StandardRouteCodeCriterionType` | `createStandardRouteCodeCriterionType()` Create an instance of `StandardRouteCodeCriterionType`
    `StandardRouteNameCriterionType` | `createStandardRouteNameCriterionType()` Create an instance of `StandardRouteNameCriterionType`
    `StandardSubstanceCodeCriterionType` | `createStandardSubstanceCodeCriterionType()` Create an instance of `StandardSubstanceCodeCriterionType`
    `StandardSubstanceNameCriterionType` | `createStandardSubstanceNameCriterionType()` Create an instance of `StandardSubstanceNameCriterionType`
    `StandardUnitFamhpType` | `createStandardUnitFamhpType()` Create an instance of `StandardUnitFamhpType`
    `Substance` | `createSubstance()` Create an instance of `Substance`
    `SubstanceWithStandardsType` | `createSubstanceWithStandardsType()` Create an instance of `SubstanceWithStandardsType`
    `Text` | `createText()` Create an instance of `Text`
    `VirtualForm` | `createVirtualForm()` Create an instance of `VirtualForm`
    `VirtualFormWithStandardsType` | `createVirtualFormWithStandardsType()` Create an instance of `VirtualFormWithStandardsType`
    `VmpGroupListDataType` | `createVmpGroupListDataType()` Create an instance of `VmpGroupListDataType`
    `VmpGroupListType` | `createVmpGroupListType()` Create an instance of `VmpGroupListType`
    `VmpListDataType` | `createVmpListDataType()` Create an instance of `VmpListDataType`
    `VmpListType` | `createVmpListType()` Create an instance of `VmpListType`
    `Wada` | `createWada()` Create an instance of `Wada`
    `WadaType` | `createWadaType()` Create an instance of `WadaType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.protocol.v4

  - ### Method Detail

    - #### createFindAmpRequest

          public FindAmpRequest createFindAmpRequest()

      Create an instance of `FindAmpRequest`

    - #### createFindByActualProductType

          public FindByActualProductType createFindByActualProductType()

      Create an instance of `FindByActualProductType`

    - #### createFindByPackageType

          public FindByPackageType createFindByPackageType()

      Create an instance of `FindByPackageType`

    - #### createFindByIngredientType

          public FindByIngredientType createFindByIngredientType()

      Create an instance of `FindByIngredientType`

    - #### createFindByVirtualProductType

          public FindByVirtualProductType createFindByVirtualProductType()

      Create an instance of `FindByVirtualProductType`

    - #### createFindByGenericPrescriptionGroupType

          public FindByGenericPrescriptionGroupType createFindByGenericPrescriptionGroupType()

      Create an instance of `FindByGenericPrescriptionGroupType`

    - #### createFindByCompanyType

          public FindByCompanyType createFindByCompanyType()

      Create an instance of `FindByCompanyType`

    - #### createHasActualComponentWithType

          public HasActualComponentWithType createHasActualComponentWithType()

      Create an instance of `HasActualComponentWithType`

    - #### createFindAmpResponse

          public FindAmpResponse createFindAmpResponse()

      Create an instance of `FindAmpResponse`

    - #### createConsultAmpType

          public ConsultAmpType createConsultAmpType()

      Create an instance of `ConsultAmpType`

    - #### createFindCompanyRequest

          public FindCompanyRequest createFindCompanyRequest()

      Create an instance of `FindCompanyRequest`

    - #### createFindCompanyResponse

          public FindCompanyResponse createFindCompanyResponse()

      Create an instance of `FindCompanyResponse`

    - #### createConsultCompanyType

          public ConsultCompanyType createConsultCompanyType()

      Create an instance of `ConsultCompanyType`

    - #### createFindVmpRequest

          public FindVmpRequest createFindVmpRequest()

      Create an instance of `FindVmpRequest`

    - #### createFindByTherapeuticMoietyType

          public FindByTherapeuticMoietyType createFindByTherapeuticMoietyType()

      Create an instance of `FindByTherapeuticMoietyType`

    - #### createHasVirtualComponentWithType

          public HasVirtualComponentWithType createHasVirtualComponentWithType()

      Create an instance of `HasVirtualComponentWithType`

    - #### createHasWadaClassificationType

          public HasWadaClassificationType createHasWadaClassificationType()

      Create an instance of `HasWadaClassificationType`

    - #### createFindVmpResponse

          public FindVmpResponse createFindVmpResponse()

      Create an instance of `FindVmpResponse`

    - #### createConsultVmpType

          public ConsultVmpType createConsultVmpType()

      Create an instance of `ConsultVmpType`

    - #### createFindLegislationTextRequest

          public FindLegislationTextRequest createFindLegislationTextRequest()

      Create an instance of `FindLegislationTextRequest`

    - #### createFindLegalBasesType

          public FindLegalBasesType createFindLegalBasesType()

      Create an instance of `FindLegalBasesType`

    - #### createFindLegislationTextResponse

          public FindLegislationTextResponse createFindLegislationTextResponse()

      Create an instance of `FindLegislationTextResponse`

    - #### createConsultLegalBasisType

          public ConsultLegalBasisType createConsultLegalBasisType()

      Create an instance of `ConsultLegalBasisType`

    - #### createFindReimbursementRequest

          public FindReimbursementRequest createFindReimbursementRequest()

      Create an instance of `FindReimbursementRequest`

    - #### createFindReimbursementResponse

          public FindReimbursementResponse createFindReimbursementResponse()

      Create an instance of `FindReimbursementResponse`

    - #### createConsultReimbursementContextType

          public ConsultReimbursementContextType createConsultReimbursementContextType()

      Create an instance of `ConsultReimbursementContextType`

    - #### createFindReferencesRequest

          public FindReferencesRequest createFindReferencesRequest()

      Create an instance of `FindReferencesRequest`

    - #### createFindReferencesResponse

          public FindReferencesResponse createFindReferencesResponse()

      Create an instance of `FindReferencesResponse`

    - #### createAtcClassification

          public AtcClassification createAtcClassification()

      Create an instance of `AtcClassification`

    - #### createDeliveryModus

          public DeliveryModus createDeliveryModus()

      Create an instance of `DeliveryModus`

    - #### createDeliveryModusSpecification

          public DeliveryModusSpecification createDeliveryModusSpecification()

      Create an instance of `DeliveryModusSpecification`

    - #### createDeviceType

          public DeviceType createDeviceType()

      Create an instance of `DeviceType`

    - #### createPackagingClosure

          public PackagingClosure createPackagingClosure()

      Create an instance of `PackagingClosure`

    - #### createPackagingMaterial

          public PackagingMaterial createPackagingMaterial()

      Create an instance of `PackagingMaterial`

    - #### createPackagingType

          public PackagingType createPackagingType()

      Create an instance of `PackagingType`

    - #### createPharmaceuticalForm

          public PharmaceuticalForm createPharmaceuticalForm()

      Create an instance of `PharmaceuticalForm`

    - #### createRouteOfAdministration

          public RouteOfAdministration createRouteOfAdministration()

      Create an instance of `RouteOfAdministration`

    - #### createSubstance

          public Substance createSubstance()

      Create an instance of `Substance`

    - #### createNoSwitchReason

          public NoSwitchReason createNoSwitchReason()

      Create an instance of `NoSwitchReason`

    - #### createVirtualForm

          public VirtualForm createVirtualForm()

      Create an instance of `VirtualForm`

    - #### createWada

          public Wada createWada()

      Create an instance of `Wada`

    - #### createNoGenericPrescriptionReason

          public NoGenericPrescriptionReason createNoGenericPrescriptionReason()

      Create an instance of `NoGenericPrescriptionReason`

    - #### createAppendix

          public Appendix createAppendix()

      Create an instance of `Appendix`

    - #### createFormCategory

          public FormCategory createFormCategory()

      Create an instance of `FormCategory`

    - #### createParameter

          public Parameter createParameter()

      Create an instance of `Parameter`

    - #### createReimbursementCriterion

          public ReimbursementCriterion createReimbursementCriterion()

      Create an instance of `ReimbursementCriterion`

    - #### createConsultStandardFormAndPhFrmAndVtlFrmType

          public ConsultStandardFormAndPhFrmAndVtlFrmType createConsultStandardFormAndPhFrmAndVtlFrmType()

      Create an instance of `ConsultStandardFormAndPhFrmAndVtlFrmType`

    - #### createConsultStandardRouteAndRouteOfAdministrationType

          public ConsultStandardRouteAndRouteOfAdministrationType createConsultStandardRouteAndRouteOfAdministrationType()

      Create an instance of `ConsultStandardRouteAndRouteOfAdministrationType`

    - #### createConsultStandardSubstanceAndSubstanceType

          public ConsultStandardSubstanceAndSubstanceType createConsultStandardSubstanceAndSubstanceType()

      Create an instance of `ConsultStandardSubstanceAndSubstanceType`

    - #### createStandardUnitFamhpType

          public StandardUnitFamhpType createStandardUnitFamhpType()

      Create an instance of `StandardUnitFamhpType`

    - #### createFindVmpGroupRequest

          public FindVmpGroupRequest createFindVmpGroupRequest()

      Create an instance of `FindVmpGroupRequest`

    - #### createFindVmpGroupResponse

          public FindVmpGroupResponse createFindVmpGroupResponse()

      Create an instance of `FindVmpGroupResponse`

    - #### createConsultVmpGroupType

          public ConsultVmpGroupType createConsultVmpGroupType()

      Create an instance of `ConsultVmpGroupType`

    - #### createFindVtmRequest

          public FindVtmRequest createFindVtmRequest()

      Create an instance of `FindVtmRequest`

    - #### createFindVtmResponse

          public FindVtmResponse createFindVtmResponse()

      Create an instance of `FindVtmResponse`

    - #### createConsultVtmType

          public ConsultVtmType createConsultVtmType()

      Create an instance of `ConsultVtmType`

    - #### createFindCommentedClassificationRequest

          public FindCommentedClassificationRequest createFindCommentedClassificationRequest()

      Create an instance of `FindCommentedClassificationRequest`

    - #### createFindByCommentedClassificationType

          public FindByCommentedClassificationType createFindByCommentedClassificationType()

      Create an instance of `FindByCommentedClassificationType`

    - #### createFindCommentedClassificationResponse

          public FindCommentedClassificationResponse createFindCommentedClassificationResponse()

      Create an instance of `FindCommentedClassificationResponse`

    - #### createConsultCommentedClassificationTreeType

          public ConsultCommentedClassificationTreeType createConsultCommentedClassificationTreeType()

      Create an instance of `ConsultCommentedClassificationTreeType`

    - #### createFindCompoundingIngredientRequest

          public FindCompoundingIngredientRequest createFindCompoundingIngredientRequest()

      Create an instance of `FindCompoundingIngredientRequest`

    - #### createFindCompoundingIngredientResponse

          public FindCompoundingIngredientResponse createFindCompoundingIngredientResponse()

      Create an instance of `FindCompoundingIngredientResponse`

    - #### createConsultCompoundingIngredientType

          public ConsultCompoundingIngredientType createConsultCompoundingIngredientType()

      Create an instance of `ConsultCompoundingIngredientType`

    - #### createFindCompoundingFormulaRequest

          public FindCompoundingFormulaRequest createFindCompoundingFormulaRequest()

      Create an instance of `FindCompoundingFormulaRequest`

    - #### createFindCompoundingFormulaResponse

          public FindCompoundingFormulaResponse createFindCompoundingFormulaResponse()

      Create an instance of `FindCompoundingFormulaResponse`

    - #### createConsultCompoundingFormulaType

          public ConsultCompoundingFormulaType createConsultCompoundingFormulaType()

      Create an instance of `ConsultCompoundingFormulaType`

    - #### createListConsultationRequestType

          public ListConsultationRequestType createListConsultationRequestType()

      Create an instance of `ListConsultationRequestType`

    - #### createGetListOfVirtualMedicinalProductsResponse

          public GetListOfVirtualMedicinalProductsResponse createGetListOfVirtualMedicinalProductsResponse()

      Create an instance of `GetListOfVirtualMedicinalProductsResponse`

    - #### createListConsultationResponseType

          public ListConsultationResponseType createListConsultationResponseType()

      Create an instance of `ListConsultationResponseType`

    - #### createVmpListType

          public VmpListType createVmpListType()

      Create an instance of `VmpListType`

    - #### createGetListOfVmpGroupsResponse

          public GetListOfVmpGroupsResponse createGetListOfVmpGroupsResponse()

      Create an instance of `GetListOfVmpGroupsResponse`

    - #### createVmpGroupListType

          public VmpGroupListType createVmpGroupListType()

      Create an instance of `VmpGroupListType`

    - #### createGetListOfActualMedicinalProductsResponse

          public GetListOfActualMedicinalProductsResponse createGetListOfActualMedicinalProductsResponse()

      Create an instance of `GetListOfActualMedicinalProductsResponse`

    - #### createAmpListType

          public AmpListType createAmpListType()

      Create an instance of `AmpListType`

    - #### createGetListOfActualMedicinalProductPackagesResponse

          public GetListOfActualMedicinalProductPackagesResponse createGetListOfActualMedicinalProductPackagesResponse()

      Create an instance of `GetListOfActualMedicinalProductPackagesResponse`

    - #### createAmppListType

          public AmppListType createAmppListType()

      Create an instance of `AmppListType`

    - #### createFindAmppRequest

          public FindAmppRequest createFindAmppRequest()

      Create an instance of `FindAmppRequest`

    - #### createFindAmppResponse

          public FindAmppResponse createFindAmppResponse()

      Create an instance of `FindAmppResponse`

    - #### createConsultAmppType

          public ConsultAmppType createConsultAmppType()

      Create an instance of `ConsultAmppType`

    - #### createFindNonMedicinalProductRequest

          public FindNonMedicinalProductRequest createFindNonMedicinalProductRequest()

      Create an instance of `FindNonMedicinalProductRequest`

    - #### createFindNonMedicinalProductResponse

          public FindNonMedicinalProductResponse createFindNonMedicinalProductResponse()

      Create an instance of `FindNonMedicinalProductResponse`

    - #### createConsultNonMedicinalProductType

          public ConsultNonMedicinalProductType createConsultNonMedicinalProductType()

      Create an instance of `ConsultNonMedicinalProductType`

    - #### createAnomaly

          public Anomaly createAnomaly()

      Create an instance of `Anomaly`

    - #### createConsultPricingUnitType

          public ConsultPricingUnitType createConsultPricingUnitType()

      Create an instance of `ConsultPricingUnitType`

    - #### createConsultTextType

          public ConsultTextType createConsultTextType()

      Create an instance of `ConsultTextType`

    - #### createWadaType

          public WadaType createWadaType()

      Create an instance of `WadaType`

    - #### createConsultCommentedClassificationType

          public ConsultCommentedClassificationType createConsultCommentedClassificationType()

      Create an instance of `ConsultCommentedClassificationType`

    - #### createConsultVmpComponentType

          public ConsultVmpComponentType createConsultVmpComponentType()

      Create an instance of `ConsultVmpComponentType`

    - #### createStandardFormCodeCriterionType

          public StandardFormCodeCriterionType createStandardFormCodeCriterionType()

      Create an instance of `StandardFormCodeCriterionType`

    - #### createStandardFormNameCriterionType

          public StandardFormNameCriterionType createStandardFormNameCriterionType()

      Create an instance of `StandardFormNameCriterionType`

    - #### createStandardRouteCodeCriterionType

          public StandardRouteCodeCriterionType createStandardRouteCodeCriterionType()

      Create an instance of `StandardRouteCodeCriterionType`

    - #### createStandardRouteNameCriterionType

          public StandardRouteNameCriterionType createStandardRouteNameCriterionType()

      Create an instance of `StandardRouteNameCriterionType`

    - #### createReimbursementCriterionType

          public ReimbursementCriterionType createReimbursementCriterionType()

      Create an instance of `ReimbursementCriterionType`

    - #### createConsultCopaymentType

          public ConsultCopaymentType createConsultCopaymentType()

      Create an instance of `ConsultCopaymentType`

    - #### createComponentEquivalentType

          public ComponentEquivalentType createComponentEquivalentType()

      Create an instance of `ComponentEquivalentType`

    - #### createConsultRecursiveLegalReferenceType

          public ConsultRecursiveLegalReferenceType createConsultRecursiveLegalReferenceType()

      Create an instance of `ConsultRecursiveLegalReferenceType`

    - #### createStandardSubstanceCodeCriterionType

          public StandardSubstanceCodeCriterionType createStandardSubstanceCodeCriterionType()

      Create an instance of `StandardSubstanceCodeCriterionType`

    - #### createStandardSubstanceNameCriterionType

          public StandardSubstanceNameCriterionType createStandardSubstanceNameCriterionType()

      Create an instance of `StandardSubstanceNameCriterionType`

    - #### createConsultAmpComponentType

          public ConsultAmpComponentType createConsultAmpComponentType()

      Create an instance of `ConsultAmpComponentType`

    - #### createNoGenericPrescriptionReasonType

          public NoGenericPrescriptionReasonType createNoGenericPrescriptionReasonType()

      Create an instance of `NoGenericPrescriptionReasonType`

    - #### createNoSwitchReasonType

          public NoSwitchReasonType createNoSwitchReasonType()

      Create an instance of `NoSwitchReasonType`

    - #### createVirtualFormWithStandardsType

          public VirtualFormWithStandardsType createVirtualFormWithStandardsType()

      Create an instance of `VirtualFormWithStandardsType`

    - #### createConsultStandardFormType

          public ConsultStandardFormType createConsultStandardFormType()

      Create an instance of `ConsultStandardFormType`

    - #### createRouteOfAdministrationWithStandardsType

          public RouteOfAdministrationWithStandardsType createRouteOfAdministrationWithStandardsType()

      Create an instance of `RouteOfAdministrationWithStandardsType`

    - #### createConsultVirtualIngredientType

          public ConsultVirtualIngredientType createConsultVirtualIngredientType()

      Create an instance of `ConsultVirtualIngredientType`

    - #### createConsultLegalReferenceType

          public ConsultLegalReferenceType createConsultLegalReferenceType()

      Create an instance of `ConsultLegalReferenceType`

    - #### createConsultFormalInterpretationType

          public ConsultFormalInterpretationType createConsultFormalInterpretationType()

      Create an instance of `ConsultFormalInterpretationType`

    - #### createConsultReimbursementConditionType

          public ConsultReimbursementConditionType createConsultReimbursementConditionType()

      Create an instance of `ConsultReimbursementConditionType`

    - #### createConsultReimbursementTermType

          public ConsultReimbursementTermType createConsultReimbursementTermType()

      Create an instance of `ConsultReimbursementTermType`

    - #### createConsultRecursiveLegalTextType

          public ConsultRecursiveLegalTextType createConsultRecursiveLegalTextType()

      Create an instance of `ConsultRecursiveLegalTextType`

    - #### createPharmaceuticalFormWithStandardsType

          public PharmaceuticalFormWithStandardsType createPharmaceuticalFormWithStandardsType()

      Create an instance of `PharmaceuticalFormWithStandardsType`

    - #### createConsultRealActualIngredientType

          public ConsultRealActualIngredientType createConsultRealActualIngredientType()

      Create an instance of `ConsultRealActualIngredientType`

    - #### createSubstanceWithStandardsType

          public SubstanceWithStandardsType createSubstanceWithStandardsType()

      Create an instance of `SubstanceWithStandardsType`

    - #### createConsultRealActualIngredientEquivalentType

          public ConsultRealActualIngredientEquivalentType createConsultRealActualIngredientEquivalentType()

      Create an instance of `ConsultRealActualIngredientEquivalentType`

    - #### createAtcClassificationType

          public AtcClassificationType createAtcClassificationType()

      Create an instance of `AtcClassificationType`

    - #### createDeliveryModusType

          public DeliveryModusType createDeliveryModusType()

      Create an instance of `DeliveryModusType`

    - #### createDeliveryModusSpecificationType

          public DeliveryModusSpecificationType createDeliveryModusSpecificationType()

      Create an instance of `DeliveryModusSpecificationType`

    - #### createConsultAmppComponentType

          public ConsultAmppComponentType createConsultAmppComponentType()

      Create an instance of `ConsultAmppComponentType`

    - #### createConsultCommercializationType

          public ConsultCommercializationType createConsultCommercializationType()

      Create an instance of `ConsultCommercializationType`

    - #### createConsultSupplyProblemType

          public ConsultSupplyProblemType createConsultSupplyProblemType()

      Create an instance of `ConsultSupplyProblemType`

    - #### createConsultDmppType

          public ConsultDmppType createConsultDmppType()

      Create an instance of `ConsultDmppType`

    - #### createConsultStandardRouteType

          public ConsultStandardRouteType createConsultStandardRouteType()

      Create an instance of `ConsultStandardRouteType`

    - #### createConsultRealVirtualIngredientType

          public ConsultRealVirtualIngredientType createConsultRealVirtualIngredientType()

      Create an instance of `ConsultRealVirtualIngredientType`

    - #### createConsultLegalReferenceTraceType

          public ConsultLegalReferenceTraceType createConsultLegalReferenceTraceType()

      Create an instance of `ConsultLegalReferenceTraceType`

    - #### createConsultAttachmentType

          public ConsultAttachmentType createConsultAttachmentType()

      Create an instance of `ConsultAttachmentType`

    - #### createConsultStandardSubstanceType

          public ConsultStandardSubstanceType createConsultStandardSubstanceType()

      Create an instance of `ConsultStandardSubstanceType`

    - #### createDeviceTypeType

          public DeviceTypeType createDeviceTypeType()

      Create an instance of `DeviceTypeType`

    - #### createPackagingClosureType

          public PackagingClosureType createPackagingClosureType()

      Create an instance of `PackagingClosureType`

    - #### createPackagingMaterialType

          public PackagingMaterialType createPackagingMaterialType()

      Create an instance of `PackagingMaterialType`

    - #### createPackagingTypeType

          public PackagingTypeType createPackagingTypeType()

      Create an instance of `PackagingTypeType`

    - #### createConsultAmppComponentEquivalentType

          public ConsultAmppComponentEquivalentType createConsultAmppComponentEquivalentType()

      Create an instance of `ConsultAmppComponentEquivalentType`

    - #### createConsultDerogationImportType

          public ConsultDerogationImportType createConsultDerogationImportType()

      Create an instance of `ConsultDerogationImportType`

    - #### createAppendixType

          public AppendixType createAppendixType()

      Create an instance of `AppendixType`

    - #### createFormCategoryType

          public FormCategoryType createFormCategoryType()

      Create an instance of `FormCategoryType`

    - #### createDomainType

          public DomainType createDomainType()

      Create an instance of `DomainType`

    - #### createVmpListDataType

          public VmpListDataType createVmpListDataType()

      Create an instance of `VmpListDataType`

    - #### createVmpGroupListDataType

          public VmpGroupListDataType createVmpGroupListDataType()

      Create an instance of `VmpGroupListDataType`

    - #### createAmpListDataType

          public AmpListDataType createAmpListDataType()

      Create an instance of `AmpListDataType`

    - #### createAmppListDataType

          public AmppListDataType createAmppListDataType()

      Create an instance of `AmppListDataType`

    - #### createText

          public Text createText()

      Create an instance of `Text`

    - #### createGetListOfVirtualMedicinalProductsRequest

          public JAXBElement<ListConsultationRequestType> createGetListOfVirtualMedicinalProductsRequest(ListConsultationRequestType value)

      Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ListConsultationRequestType``>`

    - #### createGetListOfVmpGroupsRequest

          public JAXBElement<ListConsultationRequestType> createGetListOfVmpGroupsRequest(ListConsultationRequestType value)

      Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ListConsultationRequestType``>`

    - #### createGetListOfActualMedicinalProductsRequest

          public JAXBElement<ListConsultationRequestType> createGetListOfActualMedicinalProductsRequest(ListConsultationRequestType value)

      Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ListConsultationRequestType``>`

    - #### createGetListOfActualMedicinalProductPackagesRequest

          public JAXBElement<ListConsultationRequestType> createGetListOfActualMedicinalProductPackagesRequest(ListConsultationRequestType value)

      Create an instance of `JAXBElement``<``ListConsultationRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ListConsultationRequestType``>`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.